Skip to main content
GET
/
v1
/
runs
/
{run_id}
/
timeline
Get run timeline
curl --request GET \
  --url https://api.skyvern.com/v1/runs/{run_id}/timeline
[
  {
    "type": "thought",
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "block": {
      "workflow_run_block_id": "<string>",
      "workflow_run_id": "<string>",
      "organization_id": "<string>",
      "block_type": "task",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "block_workflow_run_id": "<string>",
      "description": "<string>",
      "parent_workflow_run_block_id": "<string>",
      "label": "<string>",
      "status": "<string>",
      "output": {},
      "continue_on_failure": false,
      "failure_reason": "<string>",
      "engine": "skyvern-1.0",
      "task_id": "<string>",
      "url": "<string>",
      "navigation_goal": "<string>",
      "navigation_payload": {},
      "data_extraction_goal": "<string>",
      "data_schema": {},
      "terminate_criterion": "<string>",
      "complete_criterion": "<string>",
      "actions": [],
      "include_action_history_in_verification": false,
      "duration": 123,
      "loop_values": [
        "<unknown>"
      ],
      "current_value": "<string>",
      "current_index": 123,
      "recipients": [
        "<string>"
      ],
      "attachments": [
        "<string>"
      ],
      "subject": "<string>",
      "body": "<string>",
      "instructions": "<string>",
      "positive_descriptor": "<string>",
      "negative_descriptor": "<string>",
      "executed_branch_id": "<string>",
      "executed_branch_expression": "<string>",
      "executed_branch_result": true,
      "executed_branch_next_block": "<string>"
    },
    "thought": {
      "thought_id": "<string>",
      "task_id": "<string>",
      "organization_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "workflow_run_id": "<string>",
      "workflow_run_block_id": "<string>",
      "workflow_id": "<string>",
      "workflow_permanent_id": "<string>",
      "user_input": "<string>",
      "observation": "<string>",
      "thought": "<string>",
      "answer": "<string>",
      "thought_type": "plan",
      "thought_scenario": "generate_plan",
      "output": {},
      "input_token_count": 123,
      "output_token_count": 123,
      "reasoning_token_count": 123,
      "cached_token_count": 123,
      "thought_cost": 123
    },
    "children": []
  }
]

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

run_id
string
required

The id of the workflow run or task_v2 run.

Example:

"wr_123"

Response

Successfully retrieved run timeline

type
enum<string>
required
Available options:
thought,
block
created_at
string<date-time>
required
modified_at
string<date-time>
required
block
WorkflowRunBlock · object
thought
Thought · object
children
Children · array